Skip to navigation

Update MCR Prefix List

View as Markdown

Updates prefix filter lists for the MCR specified by the productUid.

Specify the prefix filter list to update by the list id. You can use the GET Get MCR Prefix List endpoint to find the list ID.

The MCR prefix filter list is a named list of IP network addresses. A prefix filter list is used to match and filter routes based on the route’s prefix and apply the filter to routes received from or advertised to BGP peers on the MCR. The MCR compares each route prefix against the conditions in the list, one match at a time, from the top down to deny or advertise the route.

  • A prefix filter list can be applied multiple times to different BGP peers.

  • Up to 50 prefix filter lists can be configured on each MCR.

  • Each list is able to contain up to 200 entries.

The parameters have these values:

  • description - (Required) The name for the new prefix filter list.

  • addressFamily - (Required) The IP address standard of the IP network addresses in the prefix filter list.

  • action - (Required) The action to take for the network address in the filter list. Accepted values are permit and deny.

  • prefix - (Required) The network address.

  • ge - (Optional) The minimum starting prefix length to be matched. Valid values are from 0 to 32 (IPv4), or 0 to 128 (IPv6). The minimum (ge) must be no greater than or equal to the maximum value (le).

  • le - (Optional) The maximum ending prefix length to be matched. The prefix length is greater than or equal to the minimum value (ge). Valid values are from 0 to 32 (IPv4), or 0 to 128 (IPv6), but the maximum must be no less than the minimum value (ge).

For more information on prefix filter lists, see Creating an MCR VXC with the API and MCR Route Filtering.

Path parameters

productUidstringRequired
idstringRequired

Request

This endpoint expects an object.
addressFamilystringOptional
descriptionstringOptional
entrieslist of objectsOptional

Response

Update MCR Prefix List / Update MCR Prefix List

dataobjectOptional
messagestringOptional
termsstringOptional